/**
 * ---------- ПРИМЕР ---------------- *
 *     ЦИКЛ WHILE И DO WHILE
 * ---------------------------------- *
 */

// Цикл while устроен немного проще,
// тело такого цикла будет выполняться
// до тех пор пока выполняется условие.

while (условие) {
    // ... тело цикла ...
}

// выводит 0, затем 1, затем 2, 3, 4
let i = 0;
while (i < 5) {
    console.log(i);
    i++;
}

// выводит 0, 1, 2
let j = 0;
do {
    console.log(j);
    i++;
} while (j < 3);